Upgrade Ubuntu server - versões normais e LTS

Uma dica importante ao fazer um upgrade de versão do Ubuntu Server é a opção entre fazer somente entre versões LTS (Long Term Support) ou de todas as versões liberadas. Para definir isto basta editar o arquivo:

/etc/update-manager/release-upgrades

e definir a linha:
Prompt=normal
para todas as versões ou
Prompt=lts
para somente as versões LTS.

Então basta executar

sudo aptitude upgrade
sudo aptitude dist-upgrade
sudo aptitude install update-manager-core
sudo do-release-upgrade

E seguir as instruções na tela.
Observação: é interessante executar essa rotina via acesso direto ao computador e não por ssh, pois durante as atualizações pode haver perda de conexão.

Comentários

Gustavo disse…
Cristiano, talvez vc possa me ajudar, estou com um cloau-server na Locaweb, gerenciado por mim (não tenho os R$300,00/mês que eles pedem), sendo que me colocaram o Ubuntu 8.04 nomeu servidor. Preciso ataulziar pro 9.1 (pois preciso do Mysql 5.1). Ocorre que o suoprte da Locaweb me passou o link de teu blog como solução para u upgrade ...
Estou executando e ocorre o seguinte erro:
Connecting to us.archive.ubuntu.com ... e falha.
Já tentei colocar o IP em /etc/hosts (91.189.88.45), já tentei também alterar o arquivo prerequists (criei a linha archive.ubuntu.com .. mas não rolou ...)...
alguma dica?

gustavorcastro@terra.com.br

Obrigado.
Gustavo, boa tarde.

Os upgrades de versão são um recurso que ainda não são 100% estáveis. Principalmente de versões mais antigas, como esta 8.04. Em muitos casos inclusive geram resultados ruins, tipo inconsistência de pacotes, versões incompatíveis de libs, perda significativa de desempenho e até crashs sérios causando kernel panic. Por isso inclusive a orientação é sempre um backup completo antes de tentar esse caminho.
Eu te recomendo seriamente em estudar a reinstalação completa do servidor, do zero, já com a versão 9.04 do Ubuntu. Se for uma alternativa viável para ti, faça. Caso contrário, podemos pesquisar alguma solução específica para o teu problema investigando mais detalhes. Notei, por exemplo, que a tua instalação está utilizando os repositórios nos Estados Unidos. Geralmente quando se instala o server identificando o local corretamente, ele já busca os repositórios mais próximos.
De qualquer maneira não há garantia do upgrade funcionar. É um caminho que se tiveres que trilhar deve ser por tentativa e erro, e as consequências podem ser sérias. Outra opção é pesquisar para atualizar apenas o necessário para o MySQL 5.1.
Não sou nenhum especialista, mas no que eu puder ajudar, estamos aí.

Postagens mais visitadas deste blog

NET bloqueando portas do modem? Não, é NAT

CFTV em Linux Ubuntu - Câmeras de segurança com ZoneMinder e PICO 2000 ou Geovision GV250 / GV800

Instalação Zeos no Delphi 7 para acesso ao Postgresql